anglestructure.h File Reference

Deals with angle structures on triangulations. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "maths/rational.h"`
`#include "maths/ray.h"`
`#include "triangulation/forward.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
class | regina::AngleStructureVector
| A vector of integers used to indirectly store the individual angles in an angle structure. More...
class | regina::AngleStructure
| Represents an angle structure on a triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef AngleStructureVector | regina::NAngleStructureVector
| Deprecated typedef for backward compatibility. More...
typedef AngleStructure | regina::NAngleStructure
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with angle structures on triangulations.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).